.line-limit {
    overflow: hidden;
    /* width:100px; */
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
}

.line-limit-3 {
    overflow: hidden;
    /* width:100px; */
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}
textarea{
    resize: vertical;
}
html {
    --ghost-accent-color: #215DEE;
    --gradient-color-two: #B61CFF;
}

#contact-us-form textarea {
    resize: vertical;
}

input[type="password"] {
    background-color: var(--body-background-color);
    border: 1px solid var(--border-color);
    box-shadow: none;
    height: 48px;
    width: 100%;
    padding: 0 2rem;
    margin-bottom: 1.5rem;
    font-size: 1rem;
    font-weight: 500;
    color: var(--text-color-main);
    border-radius: 28px;
}

.rules-section {
    padding: 10px 0;
    direction: rtl;
}

.rules-section a {
    /* margin: 0 2px; */
    text-decoration: underline;
}

.alternate-option a {
    text-decoration: underline;
}

#verified-icon-svg {
    width: 2rem;
    height: 2rem;
}

.user-username {
    color: #767676cf;
    display: block;
}

.user-name {
    margin-bottom: 0;
}

.profile-items {
    display: flex;
    align-items: center;
    gap: 4px;
    font-weight: bold;
}

.profile-action-buttons {
    padding: 20px;
}

.achievements-section {
    display: flex;
    flex-direction: column;
    background-color: rgb(102 102 102 / 19%);
    width: var(--global-width-content);
    max-width: 90vw;
    border-radius: 16px;
    padding: 15px;
    align-items: center;
    height: 200px;
    overflow-y: scroll;
    /* scrollbar-color: #d4aa70 #e4e4e4; */
    box-shadow: 0 0 50px -30px rgb(124, 124, 124) inset, 0 0 50px -30px rgb(136, 136, 136);
    /* border: 1px solid rgb(136, 136, 136); */
}

.achievement-item {
    display: flex;
    width: 98%;
    height: 70px;
    background-color: #8383837a;
    margin: 3px;
    border-radius: 8px;
    font-weight: 700;
}

.achievement-item p {
    margin: 0;
}

.achievement-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
}

.achievement-icon svg {
    width: 36px;
    height: 36px;
}

.achievement-name {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    padding: 5px 20px;
}

.achievements-section::-webkit-scrollbar {
    width: 16px;
}

.achievements-section::-webkit-scrollbar-track {
    background-color: #e4e4e4;
    border-radius: 100px;
}

.achievements-section::-webkit-scrollbar-thumb {
    border: 5px solid transparent;
    border-radius: 100px;
    background-color: #8070d4;
    background-clip: content-box;
}

.achieved {
    /* background-image: var(--gradient-primary); */
    background-color: #215DEE;
    color: #e4e4e4;
}

.captcha {
    display: flex;
    justify-content: space-between;
    height: 50px;
    padding: 5px;
    margin-bottom: 25px;
}

.captcha img {
    width: 30%;
    height: 100%;
}

.captcha input {
    width: 70%;
}

.user-avatar-actions {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.user-avatar-actions button, .user-avatar-actions a {
    width: 50%;
}

.delete-user-avatar-btn {
    margin-left: 3px;
}

.upload-user-avatar-btn {
    margin-right: 3px;
}

.file-upload-input {
    width: 0.1px;
    height: 0.1px
}

#edit_profile_form .subscriptions-info {
    padding-top: 2rem;
    border: none;
}

#edit_profile_form .info-item {
    margin: 0 3px;
}

.verification-btn,
.info-item-full-block,
.info-item-head {
    width: 100%;
}
.info-item-biography textarea {
    resize: vertical;
}

.info-item-head {
    border-top: 1px solid var(--border-color);
    margin: 15px 0;
}
.message-block{
    display: flex;
    justify-content: center;
    position: fixed;
    z-index: 113;
    top: 0;
    width: 100%;
    padding: 8px;
}
.message{
    display: flex;
    justify-content: space-between;
    height: 100%;
    width: 100%;
    max-width: 800px;
    border-radius: var(--radius-16);
    padding: 3px;
    color: var(--text-color-main);
}
.message-emoji, .message-close-icon{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 10%;
}
.message-emoji {
    font-size: 1.5rem;
}
.message-content{
    display: flex;
    align-items: center;
    font-weight: 700;
    width: 80%;
    padding: 0 10px 0 0;
}
.message-content p{
    width: 100%;
    padding: 30px;
    margin: 0;
}
.message-close-icon svg{
    width: 60px;
    height: 60px;
}
.message-color-info{
    background: rgba(75, 84, 94, 0.9);
}
.message-color-success{
    background: rgba(35, 124, 45, 0.9);
}
.message-color-warning{
    background: rgba(190, 131, 12, 0.9);
}
.message-color-error{
    background: rgba(189, 61, 11, 0.9);
}
.create-article-wrap{
    background-color: var(--card-background-color);
    border-radius: var(--radius-16);
    max-width: var(--global-width-content);
    border: 1px solid var(--border-color);
    margin: 4rem auto 0;
    padding: 24px;
}
.create-article-section{

}
.create-article-section-wrap{
    
}
.vertical-resizable{
    resize: vertical;
}
.create-article-field-info{
    width: 100%;
    margin: 15px 0;
}
.create-article-head{
    border-radius: var(--radius-16);
    border: 1px solid var(--border-color);
    padding: 10px;
    position: relative;
    top : -55px;
    background-color: #9191911f;
}
.create-article-head-title{
    display: flex;
    justify-content: center;
}
.create-article-cover-image-btn{
    width: 100%;
}
#id_content{
    visibility: hidden;
}
#is_draft_checkbox{
    width: 20px;
    height: 20px;
}
.tag-list a{
    margin-right: 3px;
}
.post-meta .author-avatars{
    margin-right: 0.7rem;
}
.post-meta svg{
    margin-left: 0.25rem;
}
.read-time{
    padding-right: 10px;
}
.cdx-notifies{
    display: none;
}
div:has( > [data-tune=withBackground]){
    display:none;
}
.ce-settings__plugin-zone:has(>.cdx-quote-settings){
    display: none;
}
.post-content .kg-image-card img {
    min-width: 80%;
}
.csx-quote .cdx-quote__caption{
    display: none;
}
.kg-bookmark-content .kg-bookmark-title p{
    margin: 0;
    direction: ltr;
}
blockquote::after{
    left: 0;
    right: -4px;
}
.ltr-dir{
    direction: ltr;
}
.comments-section-head{
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 3px solid var(--border-color);
    height: 5rem;
}
.comments-section-head-title h2{
    padding: 0;
    margin: 0;
}
.comment-card{
    border: 1px solid var(--border-color);
    border-radius: 30px;
    margin-top: 10px;
}
.comment-card svg{
    width: 16px;
    height: 16px;
    color: var(--text-color-main);
}
.comment-card-head{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}
.comment-card-head-right div, .comment-card-actions div{
    padding: 10px;
    border-radius: var(--radius-full);
    transition: .5s ease;
    cursor: pointer;
}
.comment-card-head-right div:hover, .comment-card-actions div:hover{
    background-color: var(--border-color);
}
.comment-card-content{
    padding: 0 10px;
    border-top: 1px solid var(--border-color);
}
.comment-card-actions{
    display: flex;
    justify-content: right;
    height: 40px;
    align-items: center;
    padding: 5px 15px;
}
.comment-card-actions *{
    /* transition: .3s; */

}
.comment-card-actions div:hover svg{
    width: 18px;
    height: 18px;
    transition: .2s;
}
.comment-card-actions div:hover{
    padding: 8px;
    transition: .2s;
}
.comment-card-actions #Icon-Set-Filled{
    fill: var(--text-color-main);
}
.comment-card-actions div.comment-like-btn{
    stroke: var(--text-color-main);
}
.comment-card-actions #comment-like-inner{
    fill: none;
}
.comments-section-input{
    padding: 10px 0;
    border-bottom: 1px solid var(--border-color);
}
div.is-reply{
    padding-right: 40px;
    border-right: 1px solid var(--border-color);
}
.comment-wrap{
    padding: 1rem;
}
@keyframes open_reply_input {
    0%{
        height: 0;
        opacity: 0;
        padding: 0;
    }
    50%{
        opacity: 0;
    }
    100%{
        opacity: 100%;
        height: 100%;
        padding: 15px;
    }
}
.comment-card-reply textarea{
    height: 0;
}
.comment-card-reply{
    display: block;
    height: 0;
    opacity: 0;
}
.cls-1{fill:none;}.cls-2{fill:none;stroke:var(--text-color-main);stroke-linecap:round;stroke-linejoin:round;stroke-width:3.2;}

.comment-time{
    opacity: 50%;
    padding-right: 20px;
    font-size: .8rem;
}
.comment-login-required{
    padding: 10px;
    border: 2px solid var(--ghost-accent-color);
    border-radius: 5px;
}
.action-counter{
    padding: 0;
    font-size: .75rem;
    opacity: 50%;
    margin-left: -7px;
    align-self: flex-start;
    min-width: 10px;
}
.comment-area:not(.is-reply){
    margin-top: 25px;
}
.comment-liked{
    stroke: red !important;
}
.comment-liked path{
    fill: red !important;
}
.open-reply-box-anm{
    animation: open_reply_input .7s ease;
}
.close-reply-box-anm{
    animation: open_reply_input .3s ease;
    animation-direction: reverse;
}
.open-reply-box{
    opacity: 100%;
    height: 100%;
    padding: 15px;
}
.dis-none{
    display: none !important;
}
.article-comment-mention{
    font-weight: bold;
}
.article-comment-mention::after{
    content: " ";
}
.article-comment-mention::before{
    content: " ";
}
.options-container{
    z-index: 100;
    position: fixed;
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 130vh;
    margin-top: -200px;
    padding: 10px;
}
.options-box{
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 400px;
    border: 1px solid var(--border-color);
    border-radius: var(--radius-16);
    overflow: hidden;
}
.option-item{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--body-background-color);
    width: 100%;
    height: 10vh;
    color: var(--text-color-main);
    transition: .15s;
    font-weight: bold;
}
.option-item:hover{
    background-color: rgb(129, 129, 129);
    cursor: pointer;
}
.article-visits{
    display: inline-flex;
    align-items: center;
}
.article-visits svg g{
    fill:none;
}
.article-visits svg g path{
    stroke: var(--text-color-main);
}
.post-meta>:not(:last-child){
    margin-left: 1rem;
}
.article-actions{
    display: flex;
    justify-content: start;
    align-items: center;
    width:fit-content;
    border: 2px solid var(--border-color);
    border-radius: var(--radius-16);
}
.article-actions div{
    padding: 10px;
}
.article-actions div svg{
    width: 42px;
    height: 42px;
    transition: .2s;
}
.article-actions div svg:hover{
    width: 38px;
    height: 38px;
    cursor: pointer;
}
.article-actions div svg path{
    stroke: var(--text-color-main);
    stroke-width: 2px;
    fill: none;
}
.article-action-like-counter, .article-action-comment-counter{
    font-weight: bold;
    font-size: 1.3rem;
    align-self: flex-start;
    margin-left: -15px;
}
.article-liked {
    stroke: red !important;
    fill: red !important;
}
.related-post-card-wrap{
    margin-bottom: 40px;
}
.related-post-wrap .section-title{
    text-align: center !important;
}
.add-tags-box{
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 20px 0;
}
.add-tag-input{
    display: flex;
}
.add-tag-input input{
    margin-left: 5px;
}
.add-tag-input button{
    margin-right: 5px;
}
.tags-list{
    display: flex;
}
.tag-label {
    padding: 7px;
    border-radius: 30px;
    border: 1px solid var(--ghost-accent-color);
    width: fit-content;
    margin: 2px;
    cursor: pointer;
}
.section-title a, .community-post-title-section h3 a{
    /* color: var(--border-color); */
    font-size: 1rem;
    font-weight: 100;
}
.tag-name{
    font-size: 2rem;
}
.tag-description > div{
    display: flex;
    justify-content: center;
    border: 2px solid #111;
    border-radius: var(--radius-16);
    overflow: hidden;
}
.tag-description div div{
    width: 50%;
    color: #111;
    cursor: pointer;
}
.option-active{
    background-color: #111;
    color: #fff !important;
}
.filter-bar{
    display: flex;
    justify-content: space-between;
    padding: 20px;
    margin: 20px 10px;
    border: 1px solid var(--border-color);
    border-radius: var(--radius-16);
}
.filter-bar-text{
    display: flex;
}
.filter-bar-text svg{
    width: 24px;
    height: 24px;
}
.filter-bar-text g path{
    fill: none;
    stroke: var(--text-color-main);
}
.filter-bar-options{
    display: flex;
    justify-content: center;
}
.filter-bar-option{
    padding: 3px;
    cursor: pointer;
    border-radius: 2px;
    transition: .3s;
}
.filter-bar-option.option-active{
    background-color: var(--ghost-accent-color);
}
.filter-bar-option:not(:first-child){
    border-right: 2px solid var(--border-color);
}
.filter-bar-option:hover{
    color: var(--ghost-accent-color);
}
.post-content-area {
    padding: 30px 0;
}
.community-post-wrap{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 98vw;
    padding: 15px;
}
.community-post-body-section{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 500px;
}
.community-post{
    border: 1px solid var(--border-color);
    border-radius: 36px;
    padding: 12px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin: 10px 0;
    transition: .3s;
    cursor: pointer;
    background-color: var(--card-background-color);
}
.community-post:hover{
    background-color: #86868621;
}
.community-post-cover{
    display: flex;
    justify-content: center;
    border-radius: 24px;
    overflow: hidden;
}
.community-post-cover img{
    width: 100vw;
}
.community-post-title{
    margin: 20px 0 0 0;
    display: flex;
    width: 100%;
    justify-content: right;
}
.community-post-short-content{
    width: 100%;
}
.community-post-author-section{
    width: 100%;
    display: flex;
    align-items: center;
    align-items: end;
    padding: 5px;
    margin-top: 5px;
    border-radius: 20px;
    transition: .3s;
}
.community-post-author-section:hover{
    background-color: #cccccc41;
    cursor: pointer;
}
.community-post-author-section img{
    width: 36px;
    height: 36px;
    border-radius: 50%;
    object-fit: cover;
}
.community-post-author-section p {
    padding: 0 10px;
    margin: 5px;
}
.search-box{
    width: 100%;
    border: 1px solid var(--border-color);
    border-radius: 20px;
    background-color: var(--card-background-color);
    padding: 40px;
}
.search-box h2 {
    text-align: center;
}
.search-bar {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    flex-direction: row-reverse;
}
.search-bar input{
    width: 70%;
    min-width: 280px;
    margin: 7px;
}
.search-bar button{
    width: 25%;
    min-width: 280px;
}
.search-bar button:not(.btn-outline){
    cursor: pointer;
}
.site-hero{
    display: block;
}
.total-member-card{
    left: 0;
    right: -32;
    width: fit-content;
}
.tag-item .tag-info{
    margin-left: 0;
    margin-right: 0.875rem;
}
.load-more-community-posts-btn{
    display: block !important;
}
.logo-image img{
    max-height: 50px;
}
.nav-icon.theme-icon{
    margin-left: 1.5rem;
}
.nav-left>li:last-child, .nav-right>li:last-child  {
    margin-right: 12px !important;
}
.account-sidebar-wrap{
    width: 100vw;
    padding: 0 10px;
    position: absolute;
    display: flex;
    justify-content: start;
    z-index: 3;
}
.account-sidebar-item{
    border-radius: 50%;
    width: 50px;
    height: 50px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .3s;
}
.account-sidebar-item svg {
    width: 24px;
    height: 24px;
}
.account-sidebar-item:hover{
    background-color: var(--border-color);
}